org.apache.storm.hive.common

## Class HiveUtils

- java.lang.Object
- - org.apache.storm.hive.common.HiveUtils

-     public class HiveUtils
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HiveUtils.AuthenticationFailed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HiveUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.hadoop.security.UserGroupInformation` | `authenticate(boolean isTokenAuthEnabled, String keytab, String principal)`
    `static boolean` | `isTokenAuthEnabled(Map<String,Object> conf)`
    `static void` | `logAllHiveEndPoints(Map<org.apache.hive.hcatalog.streaming.HiveEndPoint,HiveWriter> allWriters)`
    `static org.apache.hive.hcatalog.streaming.HiveEndPoint` | `makeEndPoint(List<String> partitionVals, HiveOptions options)`
    `static HiveWriter` | `makeHiveWriter(org.apache.hive.hcatalog.streaming.HiveEndPoint endPoint, ExecutorService callTimeoutPool, org.apache.hadoop.security.UserGroupInformation ugi, HiveOptions options, boolean tokenAuthEnabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HiveUtils

          public HiveUtils()

  - ### Method Detail

    - #### makeEndPoint

          public static org.apache.hive.hcatalog.streaming.HiveEndPoint makeEndPoint(List<String> partitionVals,
                                                                                     HiveOptions options)
                                                                              throws org.apache.hive.hcatalog.streaming.ConnectionError

      Throws:
        `org.apache.hive.hcatalog.streaming.ConnectionError`

    - #### makeHiveWriter

          public static HiveWriter makeHiveWriter(org.apache.hive.hcatalog.streaming.HiveEndPoint endPoint,
                                                  ExecutorService callTimeoutPool,
                                                  org.apache.hadoop.security.UserGroupInformation ugi,
                                                  HiveOptions options,
                                                  boolean tokenAuthEnabled)
                                           throws HiveWriter.ConnectFailure,
                                                  InterruptedException

      Throws:
        `HiveWriter.ConnectFailure`
        `InterruptedException`

    - #### authenticate

          public static org.apache.hadoop.security.UserGroupInformation authenticate(boolean isTokenAuthEnabled,
                                                                                     String keytab,
                                                                                     String principal)
                                                                              throws HiveUtils.AuthenticationFailed

      Throws:
        `HiveUtils.AuthenticationFailed`

    - #### logAllHiveEndPoints

          public static void logAllHiveEndPoints(Map<org.apache.hive.hcatalog.streaming.HiveEndPoint,HiveWriter> allWriters)

    - #### isTokenAuthEnabled

          public static boolean isTokenAuthEnabled(Map<String,Object> conf)

Copyright © 2021 The Apache Software Foundation. All rights reserved.